diff --git a/anna.c b/anna.c
index 3e4552f..e03d34a 100644
--- a/anna.c
+++ b/anna.c
@@ -57,8 +57,11 @@ int packages_ok (di_packages *packages) {
 		/* GNU Mach does not have modules */
 #else
 		debconf_input(debconf, "critical", "anna/no_kernel_modules");
-		debconf_go(debconf);
-		return 0;
+		if (debconf_go(debconf) == 30)
+			return 0;
+		debconf_get(debconf, "anna/no_kernel_modules");
+		if (strcmp(debconf->value, "false") == 0)
+			return 0;
 #endif
 	}
 
diff --git a/debian/anna.templates b/debian/anna.templates
index f9d0990..0b0ab3b 100644
--- a/debian/anna.templates
+++ b/debian/anna.templates
@@ -63,15 +63,19 @@ _Description: Failed to load installer component
  Loading ${PACKAGE} failed for unknown reasons. Aborting.
 
 Template: anna/no_kernel_modules
-Type: error
+Type: boolean
+Default: false
 # :sl2:
-_Description: No kernel modules found
+_Description: Continue the install without loading kernel modules?
  No kernel modules were found. This probably is due to a mismatch between
  the kernel used by this version of the installer and the kernel version
  available in the archive.
  .
  You should make sure that your installation image is up-to-date, or - if
  that's the case - try a different mirror, preferably deb.debian.org.
+ The install will probably fail to work if you continue without kernel
+ modules.
+
 
 Template: anna/retriever
 Type: string
diff --git a/debian/changelog b/debian/changelog
index cba1e83..b681f2e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+anna (1.84) UNRELEASED; urgency=medium
+
+  * Make it possible to install with a mismatched kernel. This is mostly a
+    revert of the change in 1.73, besides trimming the message text.
+    Closes: #998668
+
+ -- Holger Wansing <hwansing@mailbox.org>  Sun, 07 Nov 2021 20:58:45 +0100
+
 anna (1.83) unstable; urgency=medium
 
   * Team upload
